std::coroutine_handle::from_promise(3)

NAME
std::coroutine_handle::from_promise - std::coroutine_handle::from_promise

Synopsis
   static coroutine_handle from_promise( Promise& p ); (since C++20)
   Creates a coroutine_handle from the promise object of a coroutine. The created
   coroutine_handle refers the coroutine, and promise() returns a reference to p.
   The behavior is undefined if p is not a reference to a promise object. This function
   is only provided for the primary template, i.e. specializations
   std::coroutine_handle<> and std::coroutine_handle<std::noop_coroutine_promise> do
   not have this function.

Parameters
   p - promise object of a coroutine to refer

Return value
   A coroutine_handle referring the given coroutine.

Example
    This section is incomplete
    Reason: no example

See also
   constructor constructs a coroutine_handle object
   (C++20) (public member function)
   from_address imports a coroutine from a pointer
   [static] (C++20) (public static member function)
   noop_coroutine creates a coroutine handle that has no observable effects when
   (C++20) resumed or destroyed
                    (function)